Bug 200922 - sendmail bad file descriptor error upstream patched
sendmail bad file descriptor error upstream patched
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: sendmail (Show other bugs)
4.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
http://www.issociate.de/board/post/18...
:
Depends On: 159879
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-01 12:24 EDT by Thomas Woerner
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 11:34:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Woerner 2006-08-01 12:24:45 EDT
+++ This bug was initially created as a clone of Bug #159879 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.8b)
Gecko/20050201 Firefox/1.0+ (PowerBook)

Description of problem:
There's a bug in 8.12.11 that was fixed upstream in 8.13.2. The release notes
describe it best:

	If a server returns a 421 reply to the RSET command between
		message deliveries, do not attempt to deliver any more
		messages on that connection.  This prevents bogus "Bad
		file number" recipient status.  Problem noted by
		Allan E Johannesen of Worcester Polytechnic Institute.

(http://www.sendmail.org/ftp/RELEASE_NOTES)

Version-Release number of selected component (if applicable):
8.12.11

How reproducible:
Always

Steps to Reproduce:
1. Try to send 2 mails to an address @aol.com from a host with no reverse DNS
2. Observe the first one rejected properly with a 421, the second with a
"Deferred: Bad file descriptor" status.
3.
  

Actual Results:  See above

Expected Results:  the second mail should have a "Deferred: 421..." status instead

Additional info:

It's fixed upstream, please just incorporate their fix.
Comment 1 RHEL Product and Program Management 2006-08-18 10:51:14 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Thomas Woerner 2007-01-22 11:32:55 EST
This patch bas been reverted. There is a new version of the 421 handling for
8.13.4, 8.13.5 and 8.13.6. The latest patch is very invasive.

This is a no go from my current point of view. It would be good to go to 8.13.7
at least, but 8.13.7 fixes a regression of 8.13.6. Best would be 8.13.8.
Comment 4 Florian La Roche 2007-01-22 11:39:42 EST
Not appropriate for an update release, needs an update of the upstream
sources to fix.

regards,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.